| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Protected Member Functions
Sandbox::SandboxEditor Class Reference

`#include <SandboxEditor.h>`

Inherits Fling::BaseEditor.

## Public Member Functions
| SandboxEditor ()=default
| ~SandboxEditor ()=default
virtual void | Draw (entt::registry &t_Reg, float DeltaTime) override
| Draws the editor via IMGUI. More...
Public Member Functions inherited from Fling::BaseEditor
| BaseEditor ()=default
virtual | ~BaseEditor ()=default
virtual void | RegisterComponents (entt::registry &t_Reg)
| Register. More...

## Protected Member Functions
void | OnLoadLevel (std::string t_FileName) override
void | OnSaveLevel (std::string t_FileName) override
Protected Member Functions inherited from Fling::BaseEditor
virtual void | DrawFileMenu ()
void | DrawGpuInfo ()
void | DrawWorldOutline (entt::registry &t_Reg)
void | DrawWindowOptions ()

## Additional Inherited Members
Protected Attributes inherited from Fling::BaseEditor
std::array< float, 400 > | fpsGraph {}
float | m_FrameTimeMin = 9999.0f
float | m_FrameTimeMax = 0.0f
bool | m_DisplayGPUInfo = false
bool | m_DisplayComponentEditor = true
bool | m_DisplayWorldOutline = true
bool | m_DisplayWindowOptions = false
entt::entity | m_CompEditorEntityType = entt::null
| Component editor so that we can draw our component window. More...
MM::ImGuiEntityEditor< entt::registry > | m_ComponentEditor
class World * | m_OwningWorld = nullptr
class Game * | m_Game = nullptr

## Constructor & Destructor Documentation

## ◆ SandboxEditor()

Sandbox::SandboxEditor::SandboxEditor | ( |  | ) |
| default

## ◆ ~SandboxEditor()

Sandbox::SandboxEditor::~SandboxEditor | ( |  | ) |
| default

## Member Function Documentation

## ◆ Draw()

virtual void Sandbox::SandboxEditor::Draw | ( | entt::registry & | t_Reg,
|  | float | DeltaTime
| ) |  |
| override virtual

Draws the editor via IMGUI.

Does NOT need to do any addition renderering pipeline things

Reimplemented from Fling::BaseEditor.

## ◆ OnLoadLevel()

void Sandbox::SandboxEditor::OnLoadLevel | ( | std::string | t_FileName | ) |
| override protected virtual

Reimplemented from Fling::BaseEditor.

## ◆ OnSaveLevel()

void Sandbox::SandboxEditor::OnSaveLevel | ( | std::string | t_FileName | ) |
| override protected virtual

Reimplemented from Fling::BaseEditor.

The documentation for this class was generated from the following file:

- Sandbox/Editor/inc/SandboxEditor.h